Bug 180296 - New port: net/p5-Net-CIDR-Set
Summary: New port: net/p5-Net-CIDR-Set
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 13:10 UTC by Anes Mukhametov
Modified: 2013-11-15 14:50 UTC (History)
0 users

See Also:


Attachments
p5-Net-CIDR-Set.shar (2.11 KB, text/plain)
2013-07-05 13:10 UTC, Anes Mukhametov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anes Mukhametov 2013-07-05 13:10:01 UTC
	New port: net/p5-Net-CIDR-Set	
	Net::CIDR::Set represents sets of IP addresses and allows standard set operations (union, intersection, membership test etc) to be performed on them.
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 13:10:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-17 22:55:59 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:09:42 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 Edwin Groothuis freebsd_committer 2013-11-14 20:57:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 5 Mathieu Arnold freebsd_committer 2013-11-15 11:44:37 UTC
Responsible Changed
From-To: perl->mat

Take
Comment 6 Mathieu Arnold freebsd_committer 2013-11-15 14:48:00 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 dfilter service freebsd_committer 2013-11-15 14:48:21 UTC
Author: mat
Date: Fri Nov 15 14:48:13 2013
New Revision: 333872
URL: http://svnweb.freebsd.org/changeset/ports/333872

Log:
  Add p5-Net-CIDR-Set 0.11, manipulate sets of IP addresses.
  
  PR:		ports/180296
  Submitted by:	Anes Mukhametov <anes@anes.su>

Added:
  head/net/p5-Net-CIDR-Set/
  head/net/p5-Net-CIDR-Set/Makefile   (contents, props changed)
  head/net/p5-Net-CIDR-Set/distinfo   (contents, props changed)
  head/net/p5-Net-CIDR-Set/pkg-descr   (contents, props changed)
  head/net/p5-Net-CIDR-Set/pkg-plist   (contents, props changed)
Modified:
  head/net/Makefile

Modified: head/net/Makefile
==============================================================================
--- head/net/Makefile	Fri Nov 15 14:42:59 2013	(r333871)
+++ head/net/Makefile	Fri Nov 15 14:48:13 2013	(r333872)
@@ -549,6 +549,7 @@
     SUBDIR += p5-Net-Blogger
     SUBDIR += p5-Net-CIDR-Lite
     SUBDIR += p5-Net-CIDR-MobileJP
+    SUBDIR += p5-Net-CIDR-Set
     SUBDIR += p5-Net-CLI-Interact
     SUBDIR += p5-Net-CSTA
     SUBDIR += p5-Net-CascadeCopy

Added: head/net/p5-Net-CIDR-Set/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/p5-Net-CIDR-Set/Makefile	Fri Nov 15 14:48:13 2013	(r333872)
@@ -0,0 +1,19 @@
+# Created by: Anes Mukhametov <anes@anes.su>
+# $FreeBSD$
+
+PORTNAME=	Net-CIDR-Set
+PORTVERSION=	0.11
+CATEGORIES=	net perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	anes@anes.su
+COMMENT=	Manipulate sets of IP addresses
+
+LICENSE=	GPLv2 ART20
+LICENSE_COMB=	dual
+
+USES=	perl5
+USE_PERL5=	modbuild
+
+.include <bsd.port.mk>

Added: head/net/p5-Net-CIDR-Set/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/p5-Net-CIDR-Set/distinfo	Fri Nov 15 14:48:13 2013	(r333872)
@@ -0,0 +1,2 @@
+SHA256 (Net-CIDR-Set-0.11.tar.gz) = 96b77d0e4d532435690857f027507f9ea28c947d8e1d8d85093ec768bf812fc4
+SIZE (Net-CIDR-Set-0.11.tar.gz) = 10941

Added: head/net/p5-Net-CIDR-Set/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/p5-Net-CIDR-Set/pkg-descr	Fri Nov 15 14:48:13 2013	(r333872)
@@ -0,0 +1,11 @@
+Net::CIDR::Set represents sets of IP addresses and
+allows standard set operations (union, intersection,
+membership test etc) to be performed on them.
+
+In spite of the name it can work with sets consisting
+of arbitrary ranges of IP addresses - not just CIDR blocks.
+
+Both IPv4 and IPv6 addresses are handled - but they may not
+be mixed in the same set. 
+
+WWW: http://search.cpan.org/dist/Net-CIDR-Set/

Added: head/net/p5-Net-CIDR-Set/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/p5-Net-CIDR-Set/pkg-plist	Fri Nov 15 14:48:13 2013	(r333872)
@@ -0,0 +1,9 @@
+%%PERL5_MAN3%%/Net::CIDR::Set.3.gz
+%%PERL5_MAN3%%/Net::CIDR::Set::IPv4.3.gz
+%%PERL5_MAN3%%/Net::CIDR::Set::IPv6.3.gz
+%%SITE_PERL%%/Net/CIDR/Set.pm
+%%SITE_PERL%%/Net/CIDR/Set/IPv4.pm
+%%SITE_PERL%%/Net/CIDR/Set/IPv6.pm
+@dirrm %%SITE_PERL%%/Net/CIDR/Set
+@dirrmtry %%SITE_PERL%%/Net/CIDR
+@dirrmtry %%SITE_PERL%%/Net
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"